MATLAB and Simulink Requirements

Product Requirements & Platform Availability for MATLAB Compiler SDK

Supported Platforms

Mac, Windows, Linux

Product Requirements

  • Requires MATLAB
  • Requires MATLAB Compiler
  • Creating libraries and components that will be integrated with other programming languages requires a compiler for those languages.

Supported Third-Party Compilers

Supported Language Interfaces

  • C: C17 and all prior versions
  • C++: C++17 and all prior versions
  • Python: 2.7, 3.7, 3.8, and 3.9
  • .COM: all versions
  • Java: JRE/JDK 8
  • .NET: CLR versions 2.0, 4.0

Introduced in R2015a

View requirements for another product: